Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Attributes
ArgusSamples::SessionPerfTracker Class Reference

Used to track session performance events. More...

`#include <PerfTracker.h>`

List of all members.

## Public Member Functions
| SessionPerfTracker ()
| ~SessionPerfTracker ()
bool | shutdown ()
| Shutdown the session performance tracker.
bool | setSession (Argus::CaptureSession *session)
| Set the capture session to track.
bool | onEvent (SessionEvent event, uint64_t value=0)
| Trigger a session event.

## Private Attributes
uint32_t | m_id
Argus::CaptureSession * | m_session
UniquePointer< EventThread > | m_eventThread
TimeValue | m_taskStartTime
TimeValue | m_issueCaptureTime
TimeValue | m_requestReceivedTime
TimeValue | m_firstRequestReceivedTime
uint64_t | m_numberframesReceived
TimeValue | m_closeRequestedTime
TimeValue | m_flushDoneTime
TimeValue | m_closeDoneTime
uint64_t | m_lastFrameCount
int64_t | m_totalFrameDrop
uint64_t | m_minLatency
uint64_t | m_maxLatency
uint64_t | m_sumLatency
uint64_t | m_countLatency

## Detailed Description

Used to track session performance events.

Definition at line 135 of file PerfTracker.h.

## Constructor & Destructor Documentation

ArgusSamples::SessionPerfTracker::SessionPerfTracker | ( |  | ) |

Definition at line 127 of file PerfTracker.cpp.

ArgusSamples::SessionPerfTracker::~SessionPerfTracker | ( |  | ) |

Definition at line 140 of file PerfTracker.cpp.

## Member Function Documentation

bool ArgusSamples::SessionPerfTracker::onEvent | ( | SessionEvent | event,
|  | uint64_t | value = `0`
| ) |  |

Trigger a session event.

Parameters:

  type | [in] event type
  type | [in] event type

Definition at line 162 of file PerfTracker.cpp.

bool ArgusSamples::SessionPerfTracker::setSession | ( | Argus::CaptureSession * | session | ) |

Set the capture session to track.

If not set the internal dispatcher session is tracked.

Parameters:

  session | [in] capture session

Definition at line 156 of file PerfTracker.cpp.

bool ArgusSamples::SessionPerfTracker::shutdown | ( |  | ) |

Shutdown the session performance tracker.

Definition at line 145 of file PerfTracker.cpp.

## Member Data Documentation

TimeValue ArgusSamples::SessionPerfTracker::m_closeDoneTime
| private

Definition at line 176 of file PerfTracker.h.

TimeValue ArgusSamples::SessionPerfTracker::m_closeRequestedTime
| private

Definition at line 174 of file PerfTracker.h.

uint64_t ArgusSamples::SessionPerfTracker::m_countLatency
| private

Definition at line 184 of file PerfTracker.h.

UniquePointer<EventThread> ArgusSamples::SessionPerfTracker::m_eventThread
| private

Definition at line 165 of file PerfTracker.h.

TimeValue ArgusSamples::SessionPerfTracker::m_firstRequestReceivedTime
| private

Definition at line 171 of file PerfTracker.h.

TimeValue ArgusSamples::SessionPerfTracker::m_flushDoneTime
| private

Definition at line 175 of file PerfTracker.h.

uint32_t ArgusSamples::SessionPerfTracker::m_id
| private

Definition at line 162 of file PerfTracker.h.

TimeValue ArgusSamples::SessionPerfTracker::m_issueCaptureTime
| private

Definition at line 168 of file PerfTracker.h.

uint64_t ArgusSamples::SessionPerfTracker::m_lastFrameCount
| private

Definition at line 178 of file PerfTracker.h.

uint64_t ArgusSamples::SessionPerfTracker::m_maxLatency
| private

Definition at line 182 of file PerfTracker.h.

uint64_t ArgusSamples::SessionPerfTracker::m_minLatency
| private

Definition at line 181 of file PerfTracker.h.

uint64_t ArgusSamples::SessionPerfTracker::m_numberframesReceived
| private

Definition at line 172 of file PerfTracker.h.

TimeValue ArgusSamples::SessionPerfTracker::m_requestReceivedTime
| private

Definition at line 169 of file PerfTracker.h.

Argus::CaptureSession* ArgusSamples::SessionPerfTracker::m_session
| private

Definition at line 164 of file PerfTracker.h.

uint64_t ArgusSamples::SessionPerfTracker::m_sumLatency
| private

Definition at line 183 of file PerfTracker.h.

TimeValue ArgusSamples::SessionPerfTracker::m_taskStartTime
| private

Definition at line 167 of file PerfTracker.h.

int64_t ArgusSamples::SessionPerfTracker::m_totalFrameDrop
| private

Definition at line 179 of file PerfTracker.h.

The documentation for this class was generated from the following files:

- modules/PerfTracker.h
- modules/PerfTracker.cpp